<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddExceptionTypeOrderPackagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('order_packages', function (Blueprint $table) {
            //
            $table->enum('exception_type', [
                '疑似库内丢件',
                '揽件异常',
                '中转异常',
                '疑似丢件',
                '派件异常',
                '其他',
                '无',
            ])->default('无');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('order_packages', function (Blueprint $table) {
            $table->dropColumn('exception_type');
        });
    }
}
